<?xml version="1.0" encoding="ISO8859_1" ?>
<!DOCTYPE web-app PUBLIC
    "-//Sun Microsystems, Inc.//DTD Web Application 1.2//EN"
    "file:%PS_CONFIG_DIR%/dtd/web-app_2_2.dtd">

<web-app>
  <filter>
    <filter-name>amlFilter</filter-name>
    <filter-class>com.sun.mobile.filter.AMLController</filter-class>
  </filter>

  <filter-mapping>
    <filter-name>amlFilter</filter-name>
    <url-pattern>/jsp/*</url-pattern>
  </filter-mapping>

  <filter-mapping>
    <filter-name>amlFilter</filter-name>
    <url-pattern>/ma/*</url-pattern>
  </filter-mapping>

  <servlet>
    <servlet-name>jspDispatcher</servlet-name>
    <servlet-class>
      com.sun.portal.wireless.taglibs.dispatcher.Dispatcher
    </servlet-class>
  </servlet>

  <!-- if you change the url-pattern for jspDispatcher, change the filter-mapping too -->
  <servlet-mapping>
    <servlet-name>jspDispatcher</servlet-name>
    <url-pattern>/ma</url-pattern>
  </servlet-mapping>

  <taglib>
    <taglib-uri>/WEB-INF/wireless_ab.tld</taglib-uri>
    <taglib-location>/WEB-INF/wireless_ab.tld</taglib-location>
  </taglib>

  <taglib>
    <taglib-uri>/WEB-INF/wireless_cal.tld</taglib-uri>
    <taglib-location>/WEB-INF/wireless_cal.tld</taglib-location>
  </taglib>

  <taglib>
    <taglib-uri>/WEB-INF/wireless_mail.tld</taglib-uri>
    <taglib-location>/WEB-INF/wireless_mail.tld</taglib-location>
  </taglib>

  <taglib>
    <taglib-uri>/WEB-INF/wireless_util.tld</taglib-uri>
    <taglib-location>/WEB-INF/wireless_util.tld</taglib-location>
  </taglib>

</web-app>
